Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/alpha-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: OK/final-system/common/tree.xml
===================================================================
--- BOOK/final-system/common/tree.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ 	(revision )
@@ -1,78 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-tree" role="wrap">
-  <?dbhtml filename="tree.html"?>
-
-  <title>Tree-&tree-version;</title>
-
-  <indexterm zone="ch-system-tree">
-    <primary sortas="a-Tree">Tree</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <para>The Tree package contains a program for compiling packages.</para>
-
-    <segmentedlist>
-      <segtitle>&dependencies;</segtitle>
-
-      <seglistitem>
-        <seg>GCC and Coreutils</seg>
-      </seglistitem>
-    </segmentedlist>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Tree</title>
-
-    <para os="a">Compile the package:</para>
-
-<screen os="b"><userinput>make</userinput></screen>
-
-    <para os="c">To test the results, issue:
-    <userinput>make check</userinput>.</para>
-
-    <para os="d">Install the package:</para>
-
-<screen os="e"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 id="contents-tree" role="content">
-    <title>Contents of Tree</title>
-
-    <segmentedlist>
-      <segtitle>Installed program</segtitle>
-
-      <seglistitem>
-        <seg>tree</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="tree">
-        <term><command>tree</command></term>
-        <listitem>
-          <para>Tree will list contents of directories in a tree-like format.</para>
-          <indexterm zone="ch-system-tree tree">
-            <primary sortas="b-tree">tree</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/mips-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/mips64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -85,5 +85,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/ppc-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/sparc-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -73,5 +73,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/sparcv8-chapter.xml
===================================================================
--- BOOK/final-system/sparcv8-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/sparcv8-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/x86-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -61,5 +61,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -73,5 +73,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/introduction/common/changelog.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -38,4 +38,13 @@
 
     <listitem>
+      <para>December 16, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Moved Tree to temp-tools, since it's not needed for the final-system.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 15, 2005</para>
       <itemizedlist>
Index: BOOK/temp-tools/alpha-chapter.xml
===================================================================
--- BOOK/temp-tools/alpha-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/alpha-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/common/tree.xml
===================================================================
--- BOOK/temp-tools/common/tree.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/temp-tools/common/tree.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -0,0 +1,75 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-tools-tree" role="wrap">
+  <?dbhtml filename="tree.html"?>
+
+  <title>Tree-&tree-version;</title>
+
+  <indexterm zone="ch-temp-tools-tree">
+    <primary sortas="a-Tree">Tree</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Tree package contains a program for compiling packages.</para>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>GCC and Coreutils</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tree</title>
+
+    <para os="a">Compile the package:</para>
+
+<screen os="b"><userinput>make</userinput></screen>
+
+    <para os="c">Install the package:</para>
+
+<screen os="d"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-tree" role="content">
+    <title>Contents of Tree</title>
+
+    <segmentedlist>
+      <segtitle>Installed program</segtitle>
+
+      <seglistitem>
+        <seg>tree</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="tree">
+        <term><command>tree</command></term>
+        <listitem>
+          <para>Tree will list contents of directories in a tree-like format.</para>
+          <indexterm zone="ch-temp-tools-tree tree">
+            <primary sortas="b-tree">tree</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: BOOK/temp-tools/mips-chapter.xml
===================================================================
--- BOOK/temp-tools/mips-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/mips-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/mips64-64-chapter.xml
===================================================================
--- BOOK/temp-tools/mips64-64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/mips64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -19,4 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/mips64-chapter.xml
===================================================================
--- BOOK/temp-tools/mips64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/mips64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -19,4 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/ppc-chapter.xml
===================================================================
--- BOOK/temp-tools/ppc-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/ppc-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/sparc64-64-chapter.xml
===================================================================
--- BOOK/temp-tools/sparc64-64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/sparc64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -19,4 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/x86-chapter.xml
===================================================================
--- BOOK/temp-tools/x86-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/x86-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/x86_64-64-chapter.xml
===================================================================
--- BOOK/temp-tools/x86_64-64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/x86_64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -19,4 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>
Index: BOOK/temp-tools/x86_64-chapter.xml
===================================================================
--- BOOK/temp-tools/x86_64-chapter.xml	(revision 48fbe9823a165c3d9126345542f6c6dab12ec230)
+++ BOOK/temp-tools/x86_64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
@@ -19,4 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
 
 </chapter>