Index: final-system/mips/arcload.xml
===================================================================
--- final-system/mips/arcload.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ final-system/mips/arcload.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -38,8 +38,4 @@
     SGI Workstations and SGI Servers based on MIPS Processors.</para>
   </note>
-
-    <para os="b">This patch updates the Arcload bootloader:</para>
-
-<screen os="c"><userinput>patch -Np1 -i ../&arcload-fixes-patch;</userinput></screen>
 
     <para os="d">Compile the package:</para>
Index: final-system/mips64-64/arcload.xml
===================================================================
--- final-system/mips64-64/arcload.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ final-system/mips64-64/arcload.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -28,12 +28,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/arcload.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/arcload.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/arcload.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
Index: final-system/mips64/arcload.xml
===================================================================
--- final-system/mips64/arcload.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ final-system/mips64/arcload.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -28,12 +28,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/arcload.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/arcload.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/arcload.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
Index: introduction/mips/changelog.xml
===================================================================
--- introduction/mips/changelog.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ introduction/mips/changelog.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -33,4 +33,13 @@
 
 -->
+
+    <listitem>
+      <para>February 19, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Updated to ARCLoad 0.5.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: introduction/mips64-64/changelog.xml
===================================================================
--- introduction/mips64-64/changelog.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ introduction/mips64-64/changelog.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -33,4 +33,13 @@
 
 -->
+
+    <listitem>
+      <para>February 19, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Updated to ARCLoad 0.5.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: introduction/mips64/changelog.xml
===================================================================
--- introduction/mips64/changelog.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ introduction/mips64/changelog.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -33,4 +33,13 @@
 
 -->
+
+    <listitem>
+      <para>February 19, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Updated to ARCLoad 0.5.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: materials/mips/patches.xml
===================================================================
--- materials/mips/patches.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ materials/mips/patches.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -12,12 +12,4 @@
 
   <variablelist role="materials">
-
-    <varlistentry os="arcload-fixes-patch">
-      <term>Arcload Fixes - 1 KB:</term>
-      <listitem>
-        <para><ulink
-        url="&patches-root;arcload/&arcload-fixes-patch;"/></para>
-      </listitem>
-    </varlistentry>
 
     <varlistentry os="dvhtool-fixes-patch">
Index: materials/mips64-64/patches.xml
===================================================================
--- materials/mips64-64/patches.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ materials/mips64-64/patches.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -12,8 +12,4 @@
 
   <variablelist role="materials">
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='arcload-fixes-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: materials/mips64/patches.xml
===================================================================
--- materials/mips64/patches.xml	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ materials/mips64/patches.xml	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -12,8 +12,4 @@
 
   <variablelist role="materials">
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='arcload-fixes-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: packages.ent
===================================================================
--- packages.ent	(revision 2f148051e57ddd79c00aff01230758d6097a0103)
+++ packages.ent	(revision 01897318c23d1607c1b013606bc06365c82cc217)
@@ -5,6 +5,6 @@
 <!ENTITY aboot-url "&sourceforge;aboot/aboot-&aboot-version;.tar.bz2?download">
 
-<!ENTITY arcload-version "0.43">
-<!ENTITY arcload-size "22 KB">
+<!ENTITY arcload-version "0.5">
+<!ENTITY arcload-size "47 KB">
 <!ENTITY arcload-url "ftp://ftp.linux-mips.org/pub/linux/mips/people/skylark/arcload-&arcload-version;.tar.bz2">
 