Index: BOOK/boot/common/sysvinit.xml
===================================================================
--- BOOK/boot/common/sysvinit.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/boot/common/sysvinit.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -23,6 +23,6 @@
     <title>Installation of Sysvinit</title>
 
-    <para os="aa">Now we do some modifications so we can boot into this
-    during our build:</para>
+    <para os="aa">Make some modifications to allow you to boot into
+    the minimal temp-system:</para>
 
 <screen os="ab"><userinput>cp -v src/Makefile src/Makefile.orig
Index: BOOK/boot/common/util-linux.xml
===================================================================
--- BOOK/boot/common/util-linux.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/boot/common/util-linux.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -41,5 +41,6 @@
     <para os="ba">Util-linux does not use the freshly installed headers and
     libraries from the <filename class="directory">/tools</filename>
-    directory by default. This is fixed by altering the configure script:</para>
+    directory by default. This is fixed by altering the
+    <command>configure</command> script:</para>
 
 <screen os="bb"><userinput>cp -v configure{,.orig}
Index: BOOK/cross-tools/common/glibc.xml
===================================================================
--- BOOK/cross-tools/common/glibc.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/cross-tools/common/glibc.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -55,6 +55,6 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-    <para os="dd">For NPTL enabled systems the following lines need
-    to be added to <filename>config.cache</filename>:</para>
+    <para os="dd">The following lines need to be added to
+    <filename>config.cache</filename> for Glibc to support NPTL:</para>
 
 <screen os="de"><userinput>echo "libc_cv_forced_unwind=yes" &gt; config.cache
Index: BOOK/cross-tools/x86/gcc-static.xml
===================================================================
--- BOOK/cross-tools/x86/gcc-static.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/cross-tools/x86/gcc-static.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -41,5 +41,5 @@
 <screen os="af"><userinput>patch -Np1 -i ../&gcc-cross_search-patch;</userinput></screen>
 
-    <para os="ag">Now setup the StartFile Spec to the correct library
+    <para os="ag">Change the StartFile Spec to point to the correct library
     location:</para>
 
Index: BOOK/final-preps/addinguser.xml
===================================================================
--- BOOK/final-preps/addinguser.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/final-preps/addinguser.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -80,5 +80,5 @@
   <para>Grant <systemitem class="username">lfs</systemitem> full access to
   <filename class="directory">$LFS/cross-tools</filename> and
-  and <filename class="directory">$LFS/tools</filename> by making <systemitem
+  <filename class="directory">$LFS/tools</filename> by making <systemitem
   class="username">lfs</systemitem> the directorys' owner:</para>
 
Index: BOOK/temp-system/common/introduction.xml
===================================================================
--- BOOK/temp-system/common/introduction.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/temp-system/common/introduction.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -13,14 +13,15 @@
   <para>This chapter shows how to compile and install a minimal Linux
   system. This system will contain just enough tools to start
-  constructing the final LFS system in <xref
+  constructing the final CLFS system in <xref
   linkend="chapter-building-system"/> and allow a working environment
   with more user convenience than a minimum environment would.</para>
 
-  <para>The tools in this chapter are cross-compiled using the toolchain in /cross-tools. The files compiled in this chapter will be installed under the
+  <para>The tools in this chapter are cross-compiled using the toolchain in
+  /cross-tools and will be installed under the
   <filename class="directory">$LFS/tools</filename> directory to keep
   them separate from the files installed in <xref
   linkend="chapter-building-system"/> and the host production directories.
   Since the packages compiled here are temporary, we do not want them to
-  pollute the soon-to-be LFS system.</para>
+  pollute the soon-to-be CLFS system.</para>
 
   <para>Check one last time that the <envar>LFS</envar> environment
@@ -29,5 +30,5 @@
 <screen><userinput>echo $LFS</userinput></screen>
 
-  <para>Make sure the output shows the path to the LFS partition's mount
+  <para>Make sure the output shows the path to the CLFS partition's mount
   point, which is <filename class="directory">/mnt/lfs</filename>, using
   our example.</para>
Index: BOOK/temp-system/common/variables.xml
===================================================================
--- BOOK/temp-system/common/variables.xml	(revision a8f30b25be928b3688c319923853294af5d2ba93)
+++ BOOK/temp-system/common/variables.xml	(revision 02207312a79f457f976ffd8a1211f4e81dce23d3)
@@ -11,5 +11,5 @@
   <title>Build Variables</title>
 
-  <para>Setup target specific variables for the compiler
+  <para>Setup target-specific variables for the compiler
   and linkers:</para>
 