Index: BOOK/cross-tools/sparc64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc64-64-chapter.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/cross-tools/sparc64-64-chapter.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/cflags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/variables.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/flags.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/linux-libc-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/binutils.xml"/>
Index: BOOK/cross-tools/sparc64-64/flags.xml
===================================================================
--- BOOK/cross-tools/sparc64-64/flags.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/cross-tools/sparc64-64/flags.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-flags">
+  <title>Build Flags</title>
+  <?dbhtml filename="flags.html"?>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+   href="../64/flags.xml"
+   xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>export BUILD64="[BUILD64 entries]"
+export GCCTARGET="[GCCTARGET entries]"</userinput></screen>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+   href="../64/flags.xml"
+   xpointer="xpointer(//*[@os='c'])"/>
+
+<screen os="d"><userinput>echo export BUILD64=\""${BUILD64}\"" &gt;&gt; ~/.bashrc
+echo export GCCTARGET=\""${GCCTARGET}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+
+  <para os="e">The following table gives the entires for different Sparc 64 capable
+  processors. Pick the processor that matches your system.</para>
+
+  <table os="f">
+    <title>List of architectures, target triplets, and recommended book</title>
+    <tgroup cols="2" align="center">
+      <colspec colname="Processor"/>
+      <colspec colname="Build64"/>
+      <colspec colname="GCC"/>
+      <thead>
+        <row>
+          <entry>Processor</entry>
+          <entry>BUILD64</entry>
+          <entry>GCCTARGET</entry>
+        </row>
+      </thead>
+      <tbody>
+        <row>
+          <entry>Ultrasparc and Ultrasparc2</entry>
+          <entry>-m64 -mcpu=ultrasparc -mtune=ultrasparc</entry>
+          <entry>-mcpu=ultrasparc -mtune=ultrasparc</entry>
+        </row>
+        <row>
+          <entry>Ultrasparc3</entry>
+          <entry>-m64 -mcpu=ultrasparc3 -mtune=ultrasparc3</entry>
+          <entry>-mcpu=ultrasparc3 -mtune=ultrasparc3</entry>
+        </row>
+      </tbody>
+    </tgroup>
+  </table>
+
+</sect1>
+
Index: BOOK/cross-tools/sparc64-64/gcc-static.xml
===================================================================
--- BOOK/cross-tools/sparc64-64/gcc-static.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/cross-tools/sparc64-64/gcc-static.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -90,7 +90,5 @@
     xpointer="xpointer(//*[@os='an'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ao'])"/>
+<screen><userinput>make CFLAGS_FOR_TARGET="${GCCTARGET}" all-gcc</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/sparc64-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc64-chapter.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/cross-tools/sparc64-chapter.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/cflags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/variables.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flags.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/linux-libc-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/binutils.xml"/>
Index: BOOK/cross-tools/sparc64/flags.xml
===================================================================
--- BOOK/cross-tools/sparc64/flags.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/cross-tools/sparc64/flags.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -0,0 +1,64 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-flags">
+  <title>Build Flags</title>
+  <?dbhtml filename="flags.html"?>
+
+  <para os="a">We will need to setup target specific flags for the compiler
+  and linkers. You can choose the appropriate BUILD32 and BUILD64
+  from the table at the bottom of the page.</para>
+
+<screen os="b"><userinput>export BUILD32="[BUILD32 entries]"
+export BUILD64="[BUILD64 entries]"
+export GCCTARGET="[GCCTARGET entries]"</userinput></screen>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+   href="../multilib/flags.xml"
+   xpointer="xpointer(//*[@os='c'])"/>
+
+<screen os="f"><userinput>echo export BUILD32=\""${BUILD32}\"" &gt;&gt; ~/.bashrc
+echo export BUILD64=\""${BUILD64}\"" &gt;&gt; ~/.bashrc
+echo export GCCTARGET=\""${GCCTARGET}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+
+  <para os="d">The following table gives the entires for different Sparc 64 capable
+  processors. Pick the processor that matches your system.</para>
+
+  <table os="e">
+    <title>List of architectures, target triplets, and recommended book</title>
+    <tgroup cols="2" align="center">
+      <colspec colname="Processor"/>
+      <colspec colname="Build32"/>
+      <colspec colname="Build64"/>
+      <colspec colname="GCC"/>
+      <thead>
+        <row>
+          <entry>Processor</entry>
+          <entry>BUILD32</entry>
+          <entry>BUILD64</entry>
+          <entry>GCCTARGET</entry>
+        </row>
+      </thead>
+      <tbody>
+        <row>
+          <entry>Ultrasparc and Ultrasparc2</entry>
+          <entry>-m32 -mcpu=ultrasparc -mtune=ultrasparc</entry>
+          <entry>-m64 -mcpu=ultrasparc -mtune=ultrasparc</entry>
+          <entry>-mcpu=ultrasparc -mtune=ultrasparc</entry>
+        </row>
+        <row>
+          <entry>Ultrasparc3</entry>
+          <entry>-m32 -mcpu=ultrasparc3 -mtune=ultrasparc3</entry>
+          <entry>-m64 -mcpu=ultrasparc3 -mtune=ultrasparc3</entry>
+          <entry>-mcpu=ultrasparc3 -mtune=ultrasparc3</entry>
+        </row>
+      </tbody>
+    </tgroup>
+  </table>
+
+</sect1>
+
Index: BOOK/cross-tools/sparc64/gcc-static.xml
===================================================================
--- BOOK/cross-tools/sparc64/gcc-static.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/cross-tools/sparc64/gcc-static.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -95,7 +95,5 @@
     xpointer="xpointer(//*[@os='an'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ao'])"/>
+<screen><userinput>make CFLAGS_FOR_TARGET="${GCCTARGET}" all-gcc</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/introduction/sparc64-64/changelog.xml
===================================================================
--- BOOK/introduction/sparc64-64/changelog.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/introduction/sparc64-64/changelog.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -35,4 +35,13 @@
 
     <listitem>
+      <para>February 11, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Re-added GCCTARGET to Sparc64 builds.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 8, 2005</para>
       <itemizedlist>
Index: BOOK/introduction/sparc64/changelog.xml
===================================================================
--- BOOK/introduction/sparc64/changelog.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/introduction/sparc64/changelog.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -33,4 +33,13 @@
 
 -->
+
+    <listitem>
+      <para>February 11, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Re-added GCCTARGET to Sparc64 builds.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/temp-system/sparc64-64/gcc.xml
===================================================================
--- BOOK/temp-system/sparc64-64/gcc.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/temp-system/sparc64-64/gcc.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -121,5 +121,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/gcc.xml"
+    href="../sparc64/gcc.xml"
     xpointer="xpointer(//*[@os='cn'])"/>
 
Index: BOOK/temp-system/sparc64/gcc.xml
===================================================================
--- BOOK/temp-system/sparc64/gcc.xml	(revision 94e6142a928b0aeda3516690edda430b8cc179a1)
+++ BOOK/temp-system/sparc64/gcc.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
@@ -107,7 +107,6 @@
     xpointer="xpointer(//*[@os='cm'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/gcc.xml"
-    xpointer="xpointer(//*[@os='cn'])"/>
+<screen os="cn"><userinput>make CFLAGS_FOR_TARGET="${GCCTARGET}" CXXFLAGS_FOR_TARGET="${GCCTARGET}" \
+AS_FOR_TARGET="/cross-tools/bin/${LFS_TARGET}-as" LD_FOR_TARGET="/cross-tools/bin/${LFS_TARGET}-ld"</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"