Index: scripts/fetch/binutils.sh
===================================================================
--- scripts/fetch/binutils.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/fetch/binutils.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -35,5 +35,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/binutils/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep fixes-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep fixes-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
Index: scripts/fetch/eglibc.sh
===================================================================
--- scripts/fetch/eglibc.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/fetch/eglibc.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -38,5 +38,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/eglibc/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep fixes-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${SOURCEVERSION}" | grep fixes-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
Index: scripts/patch/bash-patch.sh
===================================================================
--- scripts/patch/bash-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/bash-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -37,5 +37,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/bash/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
Index: scripts/patch/binutils-patch.sh
===================================================================
--- scripts/patch/binutils-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/binutils-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -33,5 +33,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/binutils/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
@@ -44,5 +44,5 @@
 done
 for num in $(seq 1 99); do
-  PATCH_NUM2=$(cat index.html | grep "${SOURCEVERSION}" | grep fixes-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM2=$(cat index.html | grep "${SOURCEVERSION}" | grep fixes-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM2}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM2=$(expr ${PATCH_NUM2} + 1)
Index: scripts/patch/gcc-patch.sh
===================================================================
--- scripts/patch/gcc-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/gcc-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -31,5 +31,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/gcc/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
@@ -42,5 +42,5 @@
 done
 for num in $(seq 1 99); do
-  PATCH_NUM2=$(cat index.html | grep "${SOURCEVERSION}" | grep fixes-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM2=$(cat index.html | grep "${SOURCEVERSION}" | grep fixes-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM2}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM2=$(expr ${PATCH_NUM2} + 1)
Index: scripts/patch/ncurses-patch.sh
===================================================================
--- scripts/patch/ncurses-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/ncurses-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -36,5 +36,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/ncurses/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
Index: scripts/patch/perl-patch.sh
===================================================================
--- scripts/patch/perl-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/perl-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -26,5 +26,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/perl/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
Index: scripts/patch/readline-patch.sh
===================================================================
--- scripts/patch/readline-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/readline-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -37,5 +37,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/readline/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)
Index: scripts/patch/vim-patch.sh
===================================================================
--- scripts/patch/vim-patch.sh	(revision 29f6db37e98fcfe79b7c8e3c349c99538a7686ec)
+++ scripts/patch/vim-patch.sh	(revision 4648865a25555092b7d3b19c8237fdace61b18be)
@@ -36,5 +36,5 @@
 wget http://svn.cross-lfs.org/svn/repos/patches/vim/ --no-remove-listing
 for num in $(seq 1 99); do
-  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num} | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+  PATCH_NUM=$(cat index.html | grep "${VERSION}" | grep branch_update-${num}.patch | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
   if [ "${PATCH_NUM}" = "0" -a "${num}" = "1" ]; then
     PATCH_NUM=$(expr ${PATCH_NUM} + 1)