Index: BOOK/temp-system/64/gcc.xml
===================================================================
--- BOOK/temp-system/64/gcc.xml	(revision fcc84cc82fd9658e45035409ba72aa409f548c7f)
+++ BOOK/temp-system/64/gcc.xml	(revision 5611931bc2c3f92603ff95cdfe24b4a483f3b6e2)
@@ -79,12 +79,7 @@
     --disable-libssp --enable-checking=release --enable-libstdcxx-time</userinput></screen>
 
-    <variablelist>
-      <title>The meaning of the new configure options:</title>
-
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../common/gcc.xml"
-      xpointer="xpointer(//*[@os='cl1'])"/>
-
-    </variablelist>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cl'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/mips64-64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64-64/gcc.xml	(revision fcc84cc82fd9658e45035409ba72aa409f548c7f)
+++ BOOK/temp-system/mips64-64/gcc.xml	(revision 5611931bc2c3f92603ff95cdfe24b4a483f3b6e2)
@@ -79,12 +79,7 @@
     --with-native-system-header-dir=/tools/include</userinput></screen>
 
-    <variablelist>
-      <title>The meaning of the new configure options:</title>
-
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../common/gcc.xml"
-      xpointer="xpointer(//*[@os='cl1'])"/>
-
-    </variablelist>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cl'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/mips64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64/gcc.xml	(revision fcc84cc82fd9658e45035409ba72aa409f548c7f)
+++ BOOK/temp-system/mips64/gcc.xml	(revision 5611931bc2c3f92603ff95cdfe24b4a483f3b6e2)
@@ -82,5 +82,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../multilib/gcc.xml"
-    xpointer="xpointer(//*[@os='dd'])"/>
+    xpointer="xpointer(//*[@os='cl'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/multilib/gcc.xml
===================================================================
--- BOOK/temp-system/multilib/gcc.xml	(revision fcc84cc82fd9658e45035409ba72aa409f548c7f)
+++ BOOK/temp-system/multilib/gcc.xml	(revision 5611931bc2c3f92603ff95cdfe24b4a483f3b6e2)
@@ -79,12 +79,7 @@
     --disable-libssp --enable-libstdcxx-time --enable-checking=release</userinput></screen>
 
-    <variablelist os="dd">
-      <title>The meaning of the new configure options:</title>
-
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../common/gcc.xml"
-      xpointer="xpointer(//*[@os='cl1'])"/>
-
-    </variablelist>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cl'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/ppc64-64/gcc.xml
===================================================================
--- BOOK/temp-system/ppc64-64/gcc.xml	(revision fcc84cc82fd9658e45035409ba72aa409f548c7f)
+++ BOOK/temp-system/ppc64-64/gcc.xml	(revision 5611931bc2c3f92603ff95cdfe24b4a483f3b6e2)
@@ -79,12 +79,7 @@
     --enable-libstdcxx-time</userinput></screen>
 
-    <variablelist>
-      <title>The meaning of the new configure options:</title>
-
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../common/gcc.xml"
-      xpointer="xpointer(//*[@os='cl1'])"/>
-
-    </variablelist>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='cl'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/ppc64/gcc.xml
===================================================================
--- BOOK/temp-system/ppc64/gcc.xml	(revision fcc84cc82fd9658e45035409ba72aa409f548c7f)
+++ BOOK/temp-system/ppc64/gcc.xml	(revision 5611931bc2c3f92603ff95cdfe24b4a483f3b6e2)
@@ -77,5 +77,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../multilib/gcc.xml"
-    xpointer="xpointer(//*[@os='dd'])"/>
+    xpointer="xpointer(//*[@os='cl'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"