Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 4fc07d82cd2e90797392666176e721487b94fd1f)
+++ BOOK/final-system/mips64-chapter.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -45,5 +45,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
Index: BOOK/final-system/multilib/acl-64bit.xml
===================================================================
--- BOOK/final-system/multilib/acl-64bit.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
+++ BOOK/final-system/multilib/acl-64bit.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -0,0 +1,69 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-acl" role="wrap">
+  <?dbhtml filename="acl-64bit.html"?>
+
+  <title>Acl-&acl-version; 64 Bit</title>
+
+  <indexterm zone="ch-system-acl">
+    <primary sortas="a-Acl">Acl</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Acl</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure \
+    --prefix=/usr --libdir=/lib64 \
+    --libexecdir=/usr/lib64</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <para os="h">Recreate the symlink in <filename class="directory">/usr/lib64</filename> and remove the shared link from <filename class="directory">/lib64</filename>:</para>
+
+<screen os="i"><userinput>ln -sfv ../../lib64/$(readlink /lib64/libacl.so) /usr/lib64/libacl.so
+rm -v /lib64/libacl.so</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+<screen os="k"><userinput>chmod 755 -v /lib64/libacl.so.1.1.0</userinput></screen>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(id('contents-acl'))"/>
+
+</sect1>
Index: BOOK/final-system/multilib/acl-n32.xml
===================================================================
--- BOOK/final-system/multilib/acl-n32.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
+++ BOOK/final-system/multilib/acl-n32.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -0,0 +1,74 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-acl-n32" role="wrap">
+  <?dbhtml filename="acl-n32.html"?>
+
+  <title>Acl-&acl-version; N32 Libraries</title>
+
+  <indexterm zone="ch-system-acl-n32">
+    <primary sortas="a-Acl">Acl</primary>
+    <secondary>N32</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Acl</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>CC="gcc ${BUILDN32}" ./configure \
+    --prefix=/usr --libdir=/lib32 \
+    --libexecdir=/usr/lib32</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <para os="h">Recreate the symlink in <filename class="directory">/usr/lib32</filename> and remove the shared link from <filename class="directory">/lib32</filename>:</para>
+
+<screen os="i"><userinput>ln -sfv ../../lib32/$(readlink /lib32/libacl.so) /usr/lib32/libacl.so
+rm -v /lib32/libacl.so</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+<screen os="k"><userinput>chmod 755 -v /lib32/libacl.so.1.1.0</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-acl" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/final-system/multilib/acl.xml
===================================================================
--- BOOK/final-system/multilib/acl.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
+++ BOOK/final-system/multilib/acl.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -0,0 +1,74 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-acl-32" role="wrap">
+  <?dbhtml filename="acl.html"?>
+
+  <title>Acl-&acl-version; 32 Bit Libraries</title>
+
+  <indexterm zone="ch-system-acl-32">
+    <primary sortas="a-Acl">Acl</primary>
+    <secondary>32 Bit</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/acl.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Acl</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>CC="gcc ${BUILD32}" ./configure \
+    --prefix=/usr --libdir=/lib \
+    --libexecdir=/usr/lib</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <para os="h">Recreate the symlink in <filename class="directory">/usr/lib</filename> and remove the shared link from <filename class="directory">/lib</filename>:</para>
+
+<screen os="i"><userinput>ln -sfv ../../lib/$(readlink /lib/libacl.so) /usr/lib/libacl.so
+rm -v /lib/libacl.so</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/acl.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+<screen os="k"><userinput>chmod 755 -v /lib/libacl.so.1.1.0</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-acl" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 4fc07d82cd2e90797392666176e721487b94fd1f)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -38,5 +38,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 4fc07d82cd2e90797392666176e721487b94fd1f)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -38,5 +38,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 4fc07d82cd2e90797392666176e721487b94fd1f)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 5847541e02bd58ee1d4bfaa6a0b6f439feda84a0)
@@ -38,5 +38,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/acl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>