Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/appendices/dependencies/common.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -55,5 +55,5 @@
 
         <seglistitem>
-          <seg>Coreutils, Gettext, Libcap, Sed, and systemd</seg>
+          <seg>Coreutils, Gettext, Libcap, Sed, and Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -83,5 +83,5 @@
 
         <seglistitem>
-          <seg>ACL, Coretutils, Gettext, Libcap, Sed, and systemd</seg>
+          <seg>ACL, Coretutils, Gettext, Libcap, Sed, and Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -417,5 +417,5 @@
 
         <seglistitem>
-          <seg>systemd</seg>
+          <seg>Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -555,5 +555,5 @@
 
         <seglistitem>
-          <seg>systemd</seg>
+          <seg>Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -890,5 +890,5 @@
 
         <seglistitem>
-          <seg>systemd</seg>
+          <seg>Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -1168,5 +1168,5 @@
 
         <seglistitem>
-          <seg>systemd</seg>
+          <seg>Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -1223,5 +1223,5 @@
 
         <seglistitem>
-          <seg>Coreutils, IPutils, systemd</seg>
+          <seg>Coreutils, IPutils, Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -1585,5 +1585,5 @@
 
         <seglistitem>
-          <seg>E2fsprogs, systemd, Util-linux</seg>
+          <seg>E2fsprogs, Systemd, Util-linux</seg>
         </seglistitem>
       </segmentedlist>
@@ -1729,5 +1729,5 @@
 
 <!-- Begin systemd dependency info -->
-  <bridgehead renderas="sect2" id="systemd-dep">systemd</bridgehead>
+  <bridgehead renderas="sect2" id="systemd-dep">Systemd</bridgehead>
 
       <segmentedlist>
@@ -1865,5 +1865,5 @@
 
         <seglistitem>
-          <seg>E2fsprogs, systemd</seg>
+          <seg>E2fsprogs, Systemd</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/appendices/rationale/common.xml
===================================================================
--- BOOK/appendices/rationale/common.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/appendices/rationale/common.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -23,5 +23,5 @@
       <para>The ACL package allows usage and setting of POSIX Access Control
       Lists. It can be used by several other packages in CLFS, such as Coreutils
-      and systemd.</para>
+      and Systemd.</para>
     </listitem>
 
@@ -29,5 +29,5 @@
       <para>Attr</para>
       <para>Attr allows setting and viewing extended attributes of filesystem
-      objects. It is required by systemd..</para>
+      objects. It is required by Systemd..</para>
     </listitem>
 
@@ -105,5 +105,5 @@
       <para>D-Bus</para>
       <para>D-Bus is a message bus system, which allows applications to
-      communicate to each other. It is required by systemd.</para>
+      communicate to each other. It is required by Systemd.</para>
     </listitem>
 
@@ -137,6 +137,6 @@
       <para>Eudev</para>
       <para>This is a package that allows for dynamic creation of device nodes.
-      It is a fork of Udev, which is now part of systemd. It is still
-      used for the "Boot" method in the temp-system, as systemd is not needed
+      It is a fork of Udev, which is now part of Systemd. It is still
+      used for the "Boot" method in the temp-system, as Systemd is not needed
       there.</para>
     </listitem>
@@ -199,5 +199,5 @@
     <listitem>
       <para>Gperf</para>
-      <para>This package is required by systemd.</para>
+      <para>This package is required by Systemd.</para>
     </listitem>
 
@@ -229,5 +229,5 @@
     <listitem>
       <para>Intltool</para>
-      <para>This package is required by systemd.</para>
+      <para>This package is required by Systemd.</para>
     </listitem>
 
@@ -267,5 +267,5 @@
     <listitem>
       <para>Libcap</para>
-      <para>This package is required by systemd.</para>
+      <para>This package is required by Systemd.</para>
     </listitem>
 
@@ -372,5 +372,5 @@
 
     <listitem>
-      <para>systemd</para>
+      <para>Systemd</para>
       <para>Systemd provides the init daemon for the system, as well as Udev, 
       which dynamically creates device nodes.</para>
Index: BOOK/boot/common/devices.xml
===================================================================
--- BOOK/boot/common/devices.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/boot/common/devices.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -40,5 +40,5 @@
 mknod -m 0666 ${CLFS}/dev/zero c 1 5</userinput></screen>
 
-    <para>When systemd starts a tmpfs filesystem is mounted over
+    <para>When Systemd starts a tmpfs filesystem is mounted over
     <filename class="directory">/dev</filename> and the previous entries are
     no-longer available. The folling command creates files that are copied
Index: BOOK/bootscripts/common/introduction.xml
===================================================================
--- BOOK/bootscripts/common/introduction.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/bootscripts/common/introduction.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -12,5 +12,5 @@
 
   <para>This chapter details how to finish configuring the base system.
-  Including some final configuration for systemd and as well as locales and a
+  Including some final configuration for Systemd and as well as locales and a
   simple bash profile that should be suitable for most users.</para>
 
Index: BOOK/bootscripts/common/usage.xml
===================================================================
--- BOOK/bootscripts/common/usage.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/bootscripts/common/usage.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -9,8 +9,8 @@
   <?dbhtml filename="usage.html"?>
 
-  <title>How does systemd work?</title>
+  <title>How does Systemd work?</title>
 
   <indexterm zone="ch-scripts-usage">
-    <primary sortas="a-systemd-usage">systemd usage</primary>
+    <primary sortas="a-systemd-usage">Systemd usage</primary>
   <secondary>usage</secondary></indexterm>
 
Index: BOOK/final-system/common/kbd.xml
===================================================================
--- BOOK/final-system/common/kbd.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/final-system/common/kbd.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -41,5 +41,5 @@
 <screen os="g"><userinput>make install</userinput></screen>
 
-    <para os="h">Some of the programs from Kbd are used by systemd to
+    <para os="h">Some of the programs from Kbd are used by Systemd to
     initialize the system, those binaries need to be on the root
     partition:</para>
Index: BOOK/final-system/common/systemd.xml
===================================================================
--- BOOK/final-system/common/systemd.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/final-system/common/systemd.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -8,5 +8,5 @@
   <?dbhtml filename="systemd.html"?>
 
-  <title>systemd-&systemd-version;</title>
+  <title>Systemd-&systemd-version;</title>
 
   <indexterm zone="ch-system-systemd">
@@ -17,5 +17,5 @@
     <title/>
 
-    <para><command>systemd</command> is a system and service manager for Linux
+    <para>The Systemd package is a system and service manager for Linux
     operating systems.</para>
 
@@ -25,5 +25,5 @@
     <title>Installation of systemd</title>
 
-    <para os="a">Prepare systemd for compilation:</para>
+    <para os="a">Prepare Systemd for compilation:</para>
 
 <screen os="b"><userinput>./configure --prefix=/usr \
@@ -65,5 +65,5 @@
 
   <sect2 id="conf-systemd" role="configuration">
-    <title>Configuring systemd</title>
+    <title>Configuring Systemd</title>
 
     <indexterm zone="conf-systemd">
@@ -102,5 +102,5 @@
 
   <sect2 id="contents-systemd" role="content">
-    <title>Contents of systemd</title>
+    <title>Contents of Systemd</title>
 
     <segmentedlist>
@@ -126,5 +126,5 @@
         <term><command>systemctl</command></term>
         <listitem>
-          <para>Control the systemd system and service manager</para>
+          <para>Control the Systemd system and service manager</para>
           <indexterm zone="ch-system-systemd systemctl">
             <primary sortas="b-systemctl">systemctl</primary>
@@ -188,5 +188,5 @@
         <term><filename class="libraryfile">pam_systemd</filename></term>
         <listitem>
-          <para>Register user sessions in the systemd control group
+          <para>Register user sessions in the Systemd control group
           hierarchy</para>
           <indexterm zone="ch-system-systemd pam_systemd">
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision d799833b0fb286b154d66161e62a17f09f256702)
+++ BOOK/materials/common/packages.xml	(revision 24213983d03fa4b7a5e18570e8049d8a2e72223f)
@@ -556,5 +556,5 @@
 
     <varlistentry>
-      <term>systemd (&systemd-version;) - <token>&systemd-size;</token>:</term>
+      <term>Systemd (&systemd-version;) - <token>&systemd-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&systemd-home;"/></para>