Index: BOOK/final-preps/common/introduction.xml
===================================================================
--- BOOK/final-preps/common/introduction.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
+++ BOOK/final-preps/common/introduction.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-final-preps-introduction">
+  <?dbhtml filename="introduction.html"?>
+
+  <title>Introduction</title>
+
+  <para>In this chapter, we will perform a few additional tasks to prepare
+  for building the cross-compile tools. We will create directories in
+  <filename class="directory">${CLFS}</filename> for the installation of the
+  cross-toolchain and temporary system, add an unprivileged user to reduce risk,
+  and create an appropriate build environment for that user.</para>
+
+</sect1>
Index: BOOK/final-preps/mips-chapter.xml
===================================================================
--- BOOK/final-preps/mips-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/mips-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/mips64-64-chapter.xml
===================================================================
--- BOOK/final-preps/mips64-64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/mips64-64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/mips64-chapter.xml
===================================================================
--- BOOK/final-preps/mips64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/mips64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/ppc-chapter.xml
===================================================================
--- BOOK/final-preps/ppc-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/ppc-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/ppc64-64-chapter.xml
===================================================================
--- BOOK/final-preps/ppc64-64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/ppc64-64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/ppc64-chapter.xml
===================================================================
--- BOOK/final-preps/ppc64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/ppc64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/sparc-chapter.xml
===================================================================
--- BOOK/final-preps/sparc-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/sparc-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-preps/sparc64-64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/sparc64-64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/sparc64-chapter.xml
===================================================================
--- BOOK/final-preps/sparc64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/sparc64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/x86-chapter.xml
===================================================================
--- BOOK/final-preps/x86-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/x86-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-preps/x86_64-64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/x86_64-64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/final-preps/x86_64-chapter.xml
===================================================================
--- BOOK/final-preps/x86_64-chapter.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/final-preps/x86_64-chapter.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -11,4 +11,5 @@
 
   <title>Final Preparations</title>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingtoolsdir.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/creatingcrossdir.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 3d00fcbebfcda06570a8f8d7af14c09a00c072a4)
+++ BOOK/introduction/common/changelog.xml	(revision 37429269fb74f66ca0bb32cccbc700ba7279c4d1)
@@ -38,4 +38,13 @@
 
     <listitem>
+      <para>04 June 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Added Introduction page to final-preps.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>03 June 2014</para>
       <itemizedlist>