Index: materials/common/packages.xml
===================================================================
--- materials/common/packages.xml	(revision 3122a1283579a06c5f648f487f3375e8d58843ba)
+++ materials/common/packages.xml	(revision 38153904fffa33bd3bd9ad5524e1bbfcddee7ae6)
@@ -16,5 +16,5 @@
 
     <varlistentry>
-      <term>Autoconf (&autoconf-version;) - &autoconf-size;:</term>
+      <term>Autoconf (&autoconf-version;) - <token>&autoconf-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&autoconf-home;"/></para>
@@ -25,5 +25,5 @@
 
     <varlistentry>
-      <term>Automake (&automake-version;) - &automake-size;:</term>
+      <term>Automake (&automake-version;) - <token>&automake-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&automake-home;"/></para>
@@ -34,5 +34,5 @@
 
     <varlistentry>
-      <term>Bash (&bash-version;) - &bash-size;:</term>
+      <term>Bash (&bash-version;) - <token>&bash-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&bash-home;"/></para>
@@ -43,5 +43,5 @@
 
     <varlistentry>
-      <term>Bash Documentation (&bash-doc-version;) - &bash-doc-size;:</term>
+      <term>Bash Documentation (&bash-doc-version;) - <token>&bash-doc-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&bash-doc-home;"/></para>
@@ -52,5 +52,5 @@
 
     <varlistentry>
-      <term>Binutils (&binutils-version;) - &binutils-size;:</term>
+      <term>Binutils (&binutils-version;) - <token>&binutils-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&binutils-home;"/></para>
@@ -61,5 +61,5 @@
 
     <varlistentry>
-      <term>Bison (&bison-version;) - &bison-size;:</term>
+      <term>Bison (&bison-version;) - <token>&bison-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&bison-home;"/></para>
@@ -70,5 +70,5 @@
 
     <varlistentry>
-      <term>Bzip2 (&bzip2-version;) - &bzip2-size;:</term>
+      <term>Bzip2 (&bzip2-version;) - <token>&bzip2-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&bzip2-home;"/></para>
@@ -79,5 +79,5 @@
 
     <varlistentry>
-      <term>CLFS-Bootscripts (&clfs-bootscripts-version;) - &clfs-bootscripts-size;:</term>
+      <term>CLFS-Bootscripts (&clfs-bootscripts-version;) - <token>&clfs-bootscripts-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&clfs-bootscripts-home;"/></para>
@@ -88,5 +88,5 @@
 
     <varlistentry>
-      <term>Coreutils (&coreutils-version;) - &coreutils-size;:</term>
+      <term>Coreutils (&coreutils-version;) - <token>&coreutils-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&coreutils-home;"/></para>
@@ -97,5 +97,5 @@
 
     <varlistentry>
-      <term>DejaGNU (&dejagnu-version;) - &dejagnu-size;:</term>
+      <term>DejaGNU (&dejagnu-version;) - <token>&dejagnu-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&dejagnu-home;"/></para>
@@ -106,5 +106,5 @@
 
     <varlistentry>
-      <term>Diffutils (&diffutils-version;) - &diffutils-size;:</term>
+      <term>Diffutils (&diffutils-version;) - <token>&diffutils-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&diffutils-home;"/></para>
@@ -115,5 +115,5 @@
 
     <varlistentry>
-      <term>E2fsprogs (&e2fsprogs-version;) - &e2fsprogs-size;:</term>
+      <term>E2fsprogs (&e2fsprogs-version;) - <token>&e2fsprogs-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&e2fsprogs-home;"/></para>
@@ -124,5 +124,5 @@
 
     <varlistentry>
-      <term>Expect (&expect-version;) - &expect-size;:</term>
+      <term>Expect (&expect-version;) - <token>&expect-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&expect-home;"/></para>
@@ -133,5 +133,5 @@
 
     <varlistentry>
-      <term>File (&file-version;) - &file-size;:</term>
+      <term>File (&file-version;) - <token>&file-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&file-home;"/></para>
@@ -151,5 +151,5 @@
 
     <varlistentry>
-      <term>Findutils (&findutils-version;) - &findutils-size;:</term>
+      <term>Findutils (&findutils-version;) - <token>&findutils-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&findutils-home;"/></para>
@@ -160,5 +160,5 @@
 
     <varlistentry>
-      <term>Flex (&flex-version;) - &flex-size;:</term>
+      <term>Flex (&flex-version;) - <token>&flex-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&flex-home;"/></para>
@@ -169,5 +169,5 @@
 
     <varlistentry>
-      <term>Gawk (&gawk-version;) - &gawk-size;:</term>
+      <term>Gawk (&gawk-version;) - <token>&gawk-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&gawk-home;"/></para>
@@ -178,5 +178,5 @@
 
     <varlistentry>
-      <term>GCC (&gcc-version;) - &gcc-size;:</term>
+      <term>GCC (&gcc-version;) - <token>&gcc-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&gcc-home;"/></para>
@@ -187,5 +187,5 @@
 
     <varlistentry>
-      <term>Gettext (&gettext-version;) - &gettext-size;:</term>
+      <term>Gettext (&gettext-version;) - <token>&gettext-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&gettext-home;"/></para>
@@ -196,5 +196,5 @@
 
     <varlistentry>
-      <term>Glibc (&glibc-version;) - &glibc-size;:</term>
+      <term>Glibc (&glibc-version;) - <token>&glibc-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&glibc-home;"/></para>
@@ -205,5 +205,5 @@
 
     <varlistentry>
-      <term>Grep (&grep-version;) - &grep-size;:</term>
+      <term>Grep (&grep-version;) - <token>&grep-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&grep-home;"/></para>
@@ -214,5 +214,5 @@
 
     <varlistentry>
-      <term>Groff (&groff-version;) - &groff-size;:</term>
+      <term>Groff (&groff-version;) - <token>&groff-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&groff-home;"/></para>
@@ -223,5 +223,5 @@
 
     <varlistentry>
-      <term>Gzip (&gzip-version;) - &gzip-size;:</term>
+      <term>Gzip (&gzip-version;) - <token>&gzip-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&gzip-home;"/></para>
@@ -232,5 +232,5 @@
 
     <varlistentry>
-      <term>Iana-Etc (&iana-etc-version;) - &iana-etc-size;:</term>
+      <term>Iana-Etc (&iana-etc-version;) - <token>&iana-etc-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&iana-etc-home;"/></para>
@@ -241,5 +241,5 @@
 
     <varlistentry>
-      <term>Inetutils (&inetutils-version;) - &inetutils-size;:</term>
+      <term>Inetutils (&inetutils-version;) - <token>&inetutils-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&inetutils-home;"/></para>
@@ -250,5 +250,5 @@
 
     <varlistentry>
-      <term>IPRoute2 (&iproute2-version;) - &iproute2-size;:</term>
+      <term>IPRoute2 (&iproute2-version;) - <token>&iproute2-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&iproute2-home;"/></para>
@@ -259,5 +259,5 @@
 
     <varlistentry>
-      <term>Kbd (&kbd-version;) - &kbd-size;:</term>
+      <term>Kbd (&kbd-version;) - <token>&kbd-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&kbd-home;"/></para>
@@ -268,5 +268,5 @@
 
     <varlistentry>
-      <term>Less (&less-version;) - &less-size;:</term>
+      <term>Less (&less-version;) - <token>&less-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&less-home;"/></para>
@@ -277,5 +277,5 @@
 
     <varlistentry>
-      <term>Libtool (&libtool-version;) - &libtool-size;:</term>
+      <term>Libtool (&libtool-version;) - <token>&libtool-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&libtool-home;"/></para>
@@ -286,5 +286,5 @@
 
     <varlistentry>
-      <term>Linux (&linux-version;) - &linux-size;:</term>
+      <term>Linux (&linux-version;) - <token>&linux-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&linux-home;"/></para>
@@ -295,5 +295,5 @@
 
     <varlistentry>
-      <term>Linux-Headers (&linux-headers-version;) - &linux-headers-size;:</term>
+      <term>Linux-Headers (&linux-headers-version;) - <token>&linux-headers-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&linux-headers-home;"/></para>
@@ -304,5 +304,5 @@
 
     <varlistentry>
-      <term>M4 (&m4-version;) - &m4-size;:</term>
+      <term>M4 (&m4-version;) - <token>&m4-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&m4-home;"/></para>
@@ -313,5 +313,5 @@
 
     <varlistentry>
-      <term>Make (&make-version;) - &make-size;:</term>
+      <term>Make (&make-version;) - <token>&make-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&make-home;"/></para>
@@ -322,5 +322,5 @@
 
     <varlistentry>
-      <term>Man (&man-version;) - &man-size;:</term>
+      <term>Man (&man-version;) - <token>&man-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&man-home;"/></para>
@@ -331,5 +331,5 @@
 
     <varlistentry>
-      <term>Man-pages (&man-pages-version;) - &man-pages-size;:</term>
+      <term>Man-pages (&man-pages-version;) - <token>&man-pages-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&man-pages-home;"/></para>
@@ -340,5 +340,5 @@
 
     <varlistentry>
-      <term>Mktemp (&mktemp-version;) - &mktemp-size;:</term>
+      <term>Mktemp (&mktemp-version;) - <token>&mktemp-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&mktemp-home;"/></para>
@@ -349,5 +349,5 @@
 
     <varlistentry>
-      <term>Module-Init-Tools (&module-init-tools-version;) - &module-init-tools-size;:</term>
+      <term>Module-Init-Tools (&module-init-tools-version;) - <token>&module-init-tools-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&module-init-tools-home;"/></para>
@@ -358,5 +358,5 @@
 
     <varlistentry>
-      <term>Ncurses (&ncurses-version;) - &ncurses-size;:</term>
+      <term>Ncurses (&ncurses-version;) - <token>&ncurses-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&ncurses-home;"/></para>
@@ -367,5 +367,5 @@
 
     <varlistentry>
-      <term>Patch (&patch-version;) - &patch-size;:</term>
+      <term>Patch (&patch-version;) - <token>&patch-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&patch-home;"/></para>
@@ -376,5 +376,5 @@
 
     <varlistentry>
-      <term>Perl (&perl-version;) - &perl-size;:</term>
+      <term>Perl (&perl-version;) - <token>&perl-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&perl-home;"/></para>
@@ -385,5 +385,5 @@
 
     <varlistentry>
-      <term>Procps (&procps-version;) - &procps-size;:</term>
+      <term>Procps (&procps-version;) - <token>&procps-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&procps-home;"/></para>
@@ -394,5 +394,5 @@
 
     <varlistentry>
-      <term>Psmisc (&psmisc-version;) - &psmisc-size;:</term>
+      <term>Psmisc (&psmisc-version;) - <token>&psmisc-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&psmisc-home;"/></para>
@@ -403,5 +403,5 @@
 
     <varlistentry>
-      <term>Readline (&readline-version;) - &readline-size;:</term>
+      <term>Readline (&readline-version;) - <token>&readline-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&readline-home;"/></para>
@@ -412,5 +412,5 @@
 
     <varlistentry>
-      <term>Sed (&sed-version;) - &sed-size;:</term>
+      <term>Sed (&sed-version;) - <token>&sed-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&sed-home;"/></para>
@@ -421,5 +421,5 @@
 
     <varlistentry>
-      <term>Shadow (&shadow-version;) - &shadow-size;:</term>
+      <term>Shadow (&shadow-version;) - <token>&shadow-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&shadow-home;"/></para>
@@ -439,5 +439,5 @@
 
     <varlistentry>
-      <term>Sysklogd (&sysklogd-version;) - &sysklogd-size;:</term>
+      <term>Sysklogd (&sysklogd-version;) - <token>&sysklogd-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&sysklogd-home;"/></para>
@@ -448,5 +448,5 @@
 
     <varlistentry>
-      <term>Sysvinit (&sysvinit-version;) - &sysvinit-size;:</term>
+      <term>Sysvinit (&sysvinit-version;) - <token>&sysvinit-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&sysvinit-home;"/></para>
@@ -457,5 +457,5 @@
 
     <varlistentry>
-      <term>Tar (&tar-version;) - &tar-size;:</term>
+      <term>Tar (&tar-version;) - <token>&tar-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&tar-home;"/></para>
@@ -466,5 +466,5 @@
 
     <varlistentry>
-      <term>Tcl (&tcl-version;) - &tcl-size;:</term>
+      <term>Tcl (&tcl-version;) - <token>&tcl-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&tcl-home;"/></para>
@@ -475,5 +475,5 @@
 
     <varlistentry>
-      <term>Texinfo (&texinfo-version;) - &texinfo-size;:</term>
+      <term>Texinfo (&texinfo-version;) - <token>&texinfo-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&texinfo-home;"/></para>
@@ -484,5 +484,5 @@
 
     <varlistentry>
-      <term>Tree (&tree-version;) - &tree-size;:</term>
+      <term>Tree (&tree-version;) - <token>&tree-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&tree-home;"/></para>
@@ -493,5 +493,5 @@
 
     <varlistentry>
-      <term>Udev (&udev-version;) - &udev-size;:</term>
+      <term>Udev (&udev-version;) - <token>&udev-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&udev-home;"/></para>
@@ -502,5 +502,5 @@
 
     <varlistentry>
-      <term>Udev Cross-LFS Rules (&udev-cross-lfs-version;) - &udev-cross-lfs-size;:</term>
+      <term>Udev Cross-LFS Rules (&udev-cross-lfs-version;) - <token>&udev-cross-lfs-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&udev-cross-lfs-home;"/></para>
@@ -511,5 +511,5 @@
 
     <varlistentry>
-      <term>Util-linux (&util-linux-version;) - &util-linux-size;:</term>
+      <term>Util-linux (&util-linux-version;) - <token>&util-linux-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&util-linux-home;"/></para>
@@ -520,5 +520,5 @@
 
     <varlistentry>
-      <term>Vim (&vim-version;) - &vim-size;:</term>
+      <term>Vim (&vim-version;) - <token>&vim-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&vim-home;"/></para>
@@ -529,5 +529,5 @@
 
     <varlistentry>
-      <term>Vim (&vim-version;) language files (optional) - &vim-language-size;:</term>
+      <term>Vim (&vim-version;) language files (optional) - <token>&vim-language-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&vim-language-home;"/></para>
@@ -538,5 +538,5 @@
 
     <varlistentry>
-      <term>Zlib (&zlib-version;) - &zlib-size;:</term>
+      <term>Zlib (&zlib-version;) - <token>&zlib-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&zlib-home;"/></para>
@@ -548,5 +548,5 @@
   </variablelist>
 
-  <para>Total size of these packages: about 154 MB</para>
+  <para os="a">Total size of these packages: about <returnvalue/></para>
 
 </sect1>