Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/common/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -72,4 +72,5 @@
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
+    --enable-stack-protector=strong \
     --enable-obsolete-rpc</userinput></screen>
 
Index: BOOK/final-system/mips64/glibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/glibc-n32.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/mips64/glibc-n32.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -59,4 +59,5 @@
     --libdir=/usr/lib32 \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/multilib/glibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glibc-64bit.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/multilib/glibc-64bit.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -59,4 +59,5 @@
     --libdir=/usr/lib64 \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/multilib/glibc.xml
===================================================================
--- BOOK/final-system/multilib/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/multilib/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -57,4 +57,5 @@
     --libexecdir=/usr/lib/glibc \
     --host=${CLFS_TARGET32} \
+    --enable-stack-protector=strong \
     --enable-obsolete-rpc</userinput></screen>
 
Index: BOOK/final-system/ppc64-64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64-64/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/ppc64-64/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -72,4 +72,5 @@
     --libdir=/usr/lib \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/glibc-64bit.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/ppc64/glibc-64bit.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -58,4 +58,5 @@
     --libdir=/usr/lib64 \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/ppc64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/ppc64/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -73,4 +73,5 @@
     --libexecdir=/usr/lib/glibc \
     --host=${CLFS_TARGET32} \
+    --enable-stack-protector=strong \
     --enable-obsolete-rpc</userinput></screen>
 
Index: BOOK/final-system/sparc64-64/glibc.xml
===================================================================
--- BOOK/final-system/sparc64-64/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/sparc64-64/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -81,4 +81,5 @@
     --libdir=/usr/lib \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/sparc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/sparc64/glibc-64bit.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/sparc64/glibc-64bit.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -66,4 +66,5 @@
     --libdir=/usr/lib64 \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/x86/glibc.xml
===================================================================
--- BOOK/final-system/x86/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/x86/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -54,4 +54,5 @@
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
+    --enable-stack-protector=strong \
     --enable-obsolete-rpc</userinput></screen>
 
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -68,4 +68,5 @@
     --libdir=/usr/lib \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 
Index: BOOK/final-system/x86_64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/glibc-64bit.xml	(revision 6a33e9d88e514f1c508cc78d01b9bed2931bec40)
+++ BOOK/final-system/x86_64/glibc-64bit.xml	(revision 58375318f116ba747909ce5458a0382b1d9d5829)
@@ -61,4 +61,5 @@
     --libdir=/usr/lib64 \
     --enable-obsolete-rpc \
+    --enable-stack-protector=strong \
     --cache-file=config.cache</userinput></screen>
 