Index: introduction/common/askforhelp.xml
===================================================================
--- introduction/common/askforhelp.xml	(revision 8d937fb3f3ea3b55b10b20f8e71b1f88979fbc12)
+++ introduction/common/askforhelp.xml	(revision 08982744436e8e74888fc29d47789099071761d7)
@@ -48,5 +48,5 @@
       <listitem>
         <para>The value of the $CLFS_HOST, $CLFS_TARGET, $BUILD32, and $BUILD64
-        enviornment variables.</para>
+        environment variables.</para>
       </listitem>
       <listitem>
@@ -60,6 +60,6 @@
       <listitem>
         <para>Note whether you have deviated from the book at all. A package
-        change or even a minor change to any command is considered deviation.
-        </para>
+        version change or even a minor change to any command is considered
+        deviation.</para>
       </listitem>
     </itemizedlist>
@@ -80,7 +80,8 @@
     <para>If something goes wrong while running the <command>configure</command>
     script, review the <filename>config.log</filename> file. This file may
-    contain the errors you encountered <command>configure</command>. This file
-    logs errors that may have not been printed to the screen. Include only the
-    <emphasis>relevant</emphasis> lines if you need to ask for help.</para>
+    contain the errors you encountered during <command>configure</command>.
+    It often logs errors that may have not been printed to the screen. Include
+    only the <emphasis>relevant</emphasis> lines if you need to ask for
+    help.</para>
 
   </sect2>
Index: introduction/common/how.xml
===================================================================
--- introduction/common/how.xml	(revision 8d937fb3f3ea3b55b10b20f8e71b1f88979fbc12)
+++ introduction/common/how.xml	(revision 08982744436e8e74888fc29d47789099071761d7)
@@ -21,10 +21,15 @@
   <para>As an alternative to installing an entire separate distribution
   onto your machine, you may wish to use the Linux From Scratch LiveCD.
-  The CD works well as a host system, providing all the tools you need to
-  successfully follow the instructions in this book. Additionally, it
-  contains all the source packages, patches and a copy of this book. So
-  once you have the CD, no network connection or additional downloads are
-  necessary. For more information about the LFS LiveCD or to download a copy,
-  visit <ulink url="&livecd-root;"/></para>
+  This CD works well as a host system, providing all the tools you need to
+  successfully follow the instructions in this book. It does also
+  contain source packages and patches for the LFS book, and a copy of the LFS
+  book, but not the needed packages or book for CLFS. You can still use the
+  CD for building CLFS, but you will need to download the packages, patches
+  and book separately. You can also look at
+  <ulink url="&hints-root;lfscd-remastering-howto.txt"/>
+  for infomation on building your own CD, replacing the LFS packages and book
+  with those for CLFS. Once you have the CD, no network connection or
+  additional downloads are necessary. For more information about the LFS
+  LiveCD or to download a copy, visit <ulink url="&livecd-root;"/>.</para>
 
   <para><xref linkend="chapter-partitioning"/> of this book describes how
@@ -48,7 +53,7 @@
   compiler.</para>
 
-  <para>The process of building cross-compile tools first involves installing
-  building all the necessary tools to create a build system for the target 
-  machine. With the Cross-Compiled tools we just created, we elminate any
+  <para>The process of building cross-compile tools first involves building and
+  installing all the necessary tools to create a build system for the target 
+  machine. With these cross-compiled tools, we eliminate any
   dependencies on the toolchain from our host distro.</para>
 
@@ -60,5 +65,5 @@
 
   <para>In <xref linkend="chapter-building-system"/>, the full CLFS system is
-  built. Depending on the system you are cross-compiling for, either you will
+  built. Depending on the system you are cross-compiling for, you will either
   boot the minimal temp-system on the target machine, or chroot into it.</para>
 
Index: prologue/common/foreword.xml
===================================================================
--- prologue/common/foreword.xml	(revision 8d937fb3f3ea3b55b10b20f8e71b1f88979fbc12)
+++ prologue/common/foreword.xml	(revision 08982744436e8e74888fc29d47789099071761d7)
@@ -12,5 +12,5 @@
 
   <para>The Linux From Scratch Project has seen many changes in the
-  few years of its existance.  I personally became involved with the
+  few years of its existence.  I personally became involved with the
   project in 1999, around the time of the 2.x releases.  At that time,
   the build process was to create static binaries with the host system,
@@ -29,5 +29,5 @@
   processors, the x86-only LFS is no longer ideal. Throughout this time,
   Ryan Oliver developed and documented a process by which you could
-  build Linux for any system and from any system; by use of
+  build Linux for any system and from any system, by use of
   cross-compilation techniques.  Thus,  the Cross LFS project was born.</para>
 
Index: prologue/common/organization.xml
===================================================================
--- prologue/common/organization.xml	(revision 8d937fb3f3ea3b55b10b20f8e71b1f88979fbc12)
+++ prologue/common/organization.xml	(revision 08982744436e8e74888fc29d47789099071761d7)
@@ -69,5 +69,6 @@
     have helped work on the CLFS project and website, and Appendices C
     and D have information about package dependencies and the the
-    build order.</para>
+    build order. Some architectures may have additional appendices for
+    arch-specific issues.</para>
 
   </sect2>